## com.google.appengine.api.datastore
Enum Index.IndexState

    java.lang.Object
      java.lang.Enum<Index.IndexState>
          com.google.appengine.api.datastore.Index.IndexState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Index.IndexState>

Enclosing class:
  Index

    public static enum Index.IndexState

extends java.lang.Enum<Index.IndexState>

Indicates the state of the `Index`.

Enum Constant Summary
`BUILDING` Indicates the given `Index` is being built and therefore can not be used to service queries.
`DELETING` Indicates the given `Index` is being deleted.
`ERROR` Indicates the given `Index` encountered an error in the `BUILDING` state.
`SERVING` Indicates the given `Index` is ready to service queries.

Method Summary
`static Index.IndexState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Index.IndexState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BUILDING

    public static final Index.IndexState BUILDING

  Indicates the given `Index` is being built and therefore can not be used to service queries.

### SERVING

    public static final Index.IndexState SERVING

  Indicates the given `Index` is ready to service queries.

### DELETING

    public static final Index.IndexState DELETING

  Indicates the given `Index` is being deleted.

### ERROR

    public static final Index.IndexState ERROR

  Indicates the given `Index` encountered an error in the `BUILDING` state.

Method Detail

### values

    public static Index.IndexState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Index.IndexState c : Index.IndexState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Index.IndexState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null